Subject: Re: Continuing pkgtools version problems...
To: Masao Uebayashi <>
From: Alistair Crooks <>
List: tech-pkg
Date: 03/09/2001 10:38:54
On Fri, Mar 09, 2001 at 09:42:04AM +0900, Masao Uebayashi wrote:
> > 'pkgtools/pkg_install' is not a package so that you can't pkg_delete
> > it.
> I missed a follow-up by himself, sorry.
> We may be confused about what a package is. It seems wrong to me that
> what is NOT a package (NO_PACKAGE=...) exists as a package
> (pkgsrc/foo/bar). How about providing 'pkg_install' simply as a binary
> tar ball. IIRC, FreeBSD does like so.

We do provide it as part of a tar ball, in every release and snapshot
tar ball that is made.  Furthermore, if you want a more up to date
version of pkg_install, you can use -current, or install the
pkgsrc/pkgtools/pkg_install package.

Providing a separate tar ball of these has, up until now, proved
unnecessary, since we take steps to make sure that people can't use
the pkg_delete command to render themselves with a non-functioning
packages system.

Instead of providing help for people who shoot themselves in the foot,
I'd prefer to stop them shooting themselves in the first place.